package service

import (
	context "context"
	"github.com/spf13/cast"
	"google.golang.org/grpc/codes"
	"google.golang.org/grpc/status"
	"grpc-base/service/testuser/api"
	"grpc-base/service/testuser/internal/dao"
)

var _ api.TestUserServer = &TestUser{}

type TestUser struct {
	api.UnimplementedTestUserServer
	dao *dao.Dao
}

func (s TestUser) GetUserInfo(ctx context.Context, req *api.UserInfoReq) (*api.UserInfoResp, error) {
	info, err := s.dao.GetMemberById(cast.ToInt(req.Id), []string{"*"})
	if err != nil {
		return nil, status.Errorf(codes.NotFound, "查询失败: %s", err.Error())
	}
	return UserModelToResp(info), nil
}

func New(d *dao.Dao) *TestUser {
	return &TestUser{
		dao: d,
	}
}
